package com.zipcodewilmington.generic.group;

import com.zipcodewilmington.generic.identifiables.IdentifiableInterface;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 05/12/2018.
 */
abstract public class AbstractGroup<
        TypeOfId extends Serializable,
        TypeOfEntity extends IdentifiableInterface<TypeOfId>>
        implements GroupInterface<TypeOfId, TypeOfEntity> {

    List<TypeOfEntity> group;

    public AbstractGroup() {
        this.group = new ArrayList<>();
    }
}
