package com.zipcodewilmington.generic.identifiables;

import java.io.Serializable;

/**
 * @author leon on 05/12/2018.
 */
public class Person implements IdentifiableInterface {

    Serializable serializable;

    public Person() {
        this.serializable = this.hashCode();
    }

    @Override
    public Serializable getIdentity() {
        return serializable;
    }

    public Class getIdentityType() {
        return this.getClass();
    }
}
